<?php
session_start();
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>

    <?php
            include("connect.php");
            $kapcsolat=connect();
         if($_SESSION['felhasznalonev']!=""){
            $nev=$_SESSION['felhasznalonev'];
            $parancs="SELECT * FROM felhasznalok where azonosito='$nev'";
            $e = mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a kinézet lekérdezése: " .mysql_error() );
            $eredmeny = mysql_fetch_row( $e );
         }
            ?>


    <link rel="stylesheet" type="text/css" href="<?php if($eredmeny[4]!="") print $eredmeny[4]; else print "classic"; ?>.css">


    <body>



    <?

        if($_SESSION['felhasznalonev']=="admin"){
        ?>
<?
if($_POST['kit']=="" and $_POST['megerositve']==""){ ?>

<form action="kizar.php" method="POST">
    A következő felhasználó kizárása : <br>
    <input type="text" name="kit" value="" /> <br>
    <input type="submit" value="Kizár" />
</form>
<? } ?>

<?
    if($_POST['kit']!="" and $_POST['megerositve']==""){
        ?>
        A következő felhasználó ki lesz zárva az oldalról -> <? print $_POST['kit']; ?>
        <form action="kizar.php" method="POST">
            <input type="hidden" name="kit" value="<? print $_POST['kit'] ?>" />
            <input type="hidden" name="megerositve" value="igen" />
            <input type="submit" value="Kizár" />
        </form>

        <?
    }

?>


<?

if($_POST['kit']!="" and $_POST['megerositve']=="igen"){
    $kit=$_POST['kit'];
    $parancs="SELECT * FROM felhasznalok WHERE azonosito='$kit'";
    $e=mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a felhasználónév lekérdezése: " .mysql_error() );
    $eredmeny=mysql_num_rows($e);
    if($eredmeny!=1) print "Nem megfelelő a megadott felhasználónév!";
    else{
        $parancs="UPDATE felhasznalok SET loginjelszo='kT6lT42t8T%j3ßs69Zi' WHERE azonosito='$kit'";
        mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a felhasználó kitiltása: " .mysql_error() );
    }
    if($eredmeny==1) { print "A következő felhasználó sikeresen ki lett tiltva : "; print $kit; }

 } ?>




        <?
        }

    ?>













<?php

mysql_close( $kapcsolat );

?>


    </body>

</html>

